const c = (L, a, n, t) => {
  const i = new google.maps.LatLng({
    lat: L,
    lng: a
  });
  if (t === void 0) {
    n.panTo(i);
    return;
  }
  const r = n.getProjection();
  if (!r)
    return;
  const o = r.fromLatLngToPoint(i);
  if (!o)
    return;
  const e = n.getZoom();
  if (!e)
    return;
  o.y += t.y / Math.pow(2, e), o.x += t.x / Math.pow(2, e);
  const g = r.fromPointToLatLng(o);
  g && n.panTo(g);
};
export {
  c as panToOffset
};
